// FasterFontDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FasterFont.h"
#include "FasterFontDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFasterFontDlg dialog

CFasterFontDlg::CFasterFontDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFasterFontDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFasterFontDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CFasterFontDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFasterFontDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP

	DDX_FontPreviewCombo (pDX, IDC_FONTCOMBO, m_faceName);
}

BEGIN_MESSAGE_MAP(CFasterFontDlg, CDialog)
	//{{AFX_MSG_MAP(CFasterFontDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFasterFontDlg message handlers

BOOL CFasterFontDlg::OnInitDialog()
{
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	m_fontCombo.SubclassDlgItem (IDC_FONTCOMBO, this);
	m_fontCombo.SetFontHeight (20);

	CDialog::OnInitDialog();

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CFasterFontDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

HCURSOR CFasterFontDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
